---

- name: Login docker
  docker_login:
    registry_url: "{{ lookup('env','CI_REGISTRY') }}"
    username: "{{ lookup('env','CI_REGISTRY_USER') }}"
    password: "{{ lookup('env','CI_JOB_TOKEN') }}"
    state: "present"

- name: Run client side 
  docker_compose:
    project_name: "mfe-admin-{{project_version}}"
    pull: true
    definition:
      version: '3.7'
      services:
        devops-project:
          image: "{{ lookup('env','IMAGE_NAME') }}"
          container_name: "mfe-admin-{{project_version}}"
          restart: always
          ports:
            - 4200:4200

  notify: Log out of DockerHub
